Name:       gnome-shell-extension-topicons-plus
Summary:    Move all legacy tray icons to the top panel
Version:    20
Release:    1%{?dist}
URL:        https://extensions.gnome.org/extension/1031/topicons/
License:    GPLv2
BuildArch:  noarch

# You can see the latest source releases here:
# https://github.com/phocean/TopIcons-plus/releases
Source0: https://github.com/phocean/TopIcons-plus/archive/v%{version}.tar.gz

Requires: gnome-shell >= 3.16
Requires: gnome-shell-extension-common

Recommends: gnome-tweak-tool



%description
Many applications, such as chat clients, downloaders, and some media players,
are meant to run long-term in the background even after you close their window.
These applications remain accessible by adding an icon to the GNOME Shell Legacy
Tray. However, the Legacy Tray is hidden until you push your mouse into the
lower-left of the screen and click on the small tab that appears. TopIcons Plus
brings all icons back to the top panel, so that it's easier to keep track of
apps running in the background. You also get some options to control the look and
feel: You can leave the icons in full color, or dynamically convert them to
grayscale, etc.

**NOTE:** After installing, each user that wants it must still manually enable
TopIcons Plus before it will take effect. You can do so a few different ways:

* Go to <https://extensions.gnome.org/local/> using Firefox, find the extension,
  and click the switch to "ON."
* Open GNOME Tweak Tool, go to the Extensions tab, find the extension, and click
  the switch to "ON."
* Open a terminal or the desktop's command dialog, and (as your normal user
  account) run `gnome-shell-extension-tool --enable TopIcons@phocean.net`

You may also need to restart GNOME Shell (Open the command dialog with Alt-F2,
type `r`, and hit enter), or log out and log back in.



# UUID is defined in extension's metadata.json and used as directory name.
%global  UUID                  TopIcons@phocean.net
%global  gnome_extensions_dir  %{_datadir}/gnome-shell/extensions/
%global  final_install_dir     %{buildroot}/%{gnome_extensions_dir}/%{UUID}

%prep
%autosetup -n TopIcons-plus-%{version}

%build
# `build` make target is included in `make install`.

%install
%make_install  INSTALL_PATH=%{buildroot}/%{gnome_extensions_dir}

# README also gets copied to the standard documentation directory, so we don't
# need it here.
rm  %{final_install_dir}/README.md

# RPM will take care of gschemas, so we don't need to include a precompiled copy.
mkdir -p %{buildroot}/%{_datadir}/glib-2.0/schemas/
mv  %{final_install_dir}/schemas/org.gnome.shell.extensions.topicons.gschema.xml  \
	%{buildroot}/%{_datadir}/glib-2.0/schemas/
rm --recursive %{final_install_dir}/schemas/



%files
%doc README.md
%license gpl-2.0.txt
%{gnome_extensions_dir}/%{UUID}/
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.topicons.gschema.xml



%changelog
* Tue Mar 14 2017 Andrew Toskin <andrew@tosk.in> - 20-1
- First build packaged in Fedora.
